fixing stuff
[dyninst.git] / autodyninst / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17   emulate sh
18   NULLCMD=:
19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20   # is contrary to our usage.  Disable this feature.
21   alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23   set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29   as_unset=unset
30 else
31   as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45   LC_TELEPHONE LC_TIME
46 do
47   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48     eval $as_var=C; export $as_var
49   else
50     $as_unset $as_var
51   fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56   as_expr=expr
57 else
58   as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62   as_basename=basename
63 else
64   as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71          X"$0" : 'X\(//\)$' \| \
72          X"$0" : 'X\(/\)$' \| \
73          .     : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76           /^X\/\(\/\/\)$/{ s//\1/; q; }
77           /^X\/\(\/\).*/{ s//\1/; q; }
78           s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91   echo "#! /bin/sh" >conf$$.sh
92   echo  "exit 0"   >>conf$$.sh
93   chmod +x conf$$.sh
94   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95     PATH_SEPARATOR=';'
96   else
97     PATH_SEPARATOR=:
98   fi
99   rm -f conf$$.sh
100 fi
101
102
103   as_lineno_1=$LINENO
104   as_lineno_2=$LINENO
105   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106   test "x$as_lineno_1" != "x$as_lineno_2" &&
107   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108   # Find who we are.  Look in the path if we contain no path at all
109   # relative or not.
110   case $0 in
111     *[\\/]* ) as_myself=$0 ;;
112     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115   IFS=$as_save_IFS
116   test -z "$as_dir" && as_dir=.
117   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120        ;;
121   esac
122   # We did not find ourselves, most probably we were run as `sh COMMAND'
123   # in which case we are not to be found in the path.
124   if test "x$as_myself" = x; then
125     as_myself=$0
126   fi
127   if test ! -f "$as_myself"; then
128     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130    { (exit 1); exit 1; }; }
131   fi
132   case $CONFIG_SHELL in
133   '')
134     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137   IFS=$as_save_IFS
138   test -z "$as_dir" && as_dir=.
139   for as_base in sh bash ksh sh5; do
140          case $as_dir in
141          /*)
142            if ("$as_dir/$as_base" -c '
143   as_lineno_1=$LINENO
144   as_lineno_2=$LINENO
145   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146   test "x$as_lineno_1" != "x$as_lineno_2" &&
147   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150              CONFIG_SHELL=$as_dir/$as_base
151              export CONFIG_SHELL
152              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153            fi;;
154          esac
155        done
156 done
157 ;;
158   esac
159
160   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161   # uniformly replaced by the line number.  The first 'sed' inserts a
162   # line-number line before each line; the second 'sed' does the real
163   # work.  The second script uses 'N' to pair each line-number line
164   # with the numbered line, and appends trailing '-' during
165   # substitution so that $LINENO is not a special case at line end.
166   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168   sed '=' <$as_myself |
169     sed '
170       N
171       s,$,-,
172       : loop
173       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174       t loop
175       s,-$,,
176       s,^['$as_cr_digits']*\n,,
177     ' >$as_me.lineno &&
178   chmod +x $as_me.lineno ||
179     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181    { (exit 1); exit 1; }; }
182
183   # Don't try to exec as it changes $[0], causing all sort of problems
184   # (the dirname of $[0] is not the place where we might find the
185   # original and so on.  Autoconf is especially sensible to this).
186   . ./$as_me.lineno
187   # Exit status is that of the last command.
188   exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193   *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T='      ' ;;
195   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200   as_expr=expr
201 else
202   as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208   # We could just check for DJGPP; but this test a) works b) is more generic
209   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210   if test -f conf$$.exe; then
211     # Don't use ln at all; we don't have any links
212     as_ln_s='cp -p'
213   else
214     as_ln_s='ln -s'
215   fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217   as_ln_s=ln
218 else
219   as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224   as_mkdir_p=:
225 else
226   test -d ./-p && rmdir ./-p
227   as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS="   $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling.  Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255   echo
256   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59.  Invocation command line was
264
265   CONFIG_FILES    = $CONFIG_FILES
266   CONFIG_HEADERS  = $CONFIG_HEADERS
267   CONFIG_LINKS    = $CONFIG_LINKS
268   CONFIG_COMMANDS = $CONFIG_COMMANDS
269   $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" make.config.local:./autodyninst/make.config.local.in"
275
276 ac_cs_usage="\
277 \`$as_me' instantiates files from templates according to the
278 current configuration.
279
280 Usage: $0 [OPTIONS] [FILE]...
281
282   -h, --help       print this help, then exit
283   -V, --version    print version number, then exit
284   -q, --quiet      do not print progress messages
285   -d, --debug      don't remove temporary files
286       --recheck    update $as_me by reconfiguring in the same conditions
287   --file=FILE[:TEMPLATE]
288                    instantiate the configuration file FILE
289
290 Configuration files:
291 $config_files
292
293 Report bugs to <bug-autoconf@gnu.org>."
294 ac_cs_version="\
295 config.status
296 configured by ./configure, generated by GNU Autoconf 2.59,
297   with options \"'--with-package-base=/p/paradyn/packages'\"
298
299 Copyright (C) 2003 Free Software Foundation, Inc.
300 This config.status script is free software; the Free Software Foundation
301 gives unlimited permission to copy, distribute and modify it."
302 srcdir=..
303 # If no file are specified by the user, then we need to provide default
304 # value.  By we need to know if files were specified by the user.
305 ac_need_defaults=:
306 while test $# != 0
307 do
308   case $1 in
309   --*=*)
310     ac_option=`expr "x$1" : 'x\([^=]*\)='`
311     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
312     ac_shift=:
313     ;;
314   -*)
315     ac_option=$1
316     ac_optarg=$2
317     ac_shift=shift
318     ;;
319   *) # This is not an option, so the user has probably given explicit
320      # arguments.
321      ac_option=$1
322      ac_need_defaults=false;;
323   esac
324
325   case $ac_option in
326   # Handling of the options.
327   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
328     ac_cs_recheck=: ;;
329   --version | --vers* | -V )
330     echo "$ac_cs_version"; exit 0 ;;
331   --he | --h)
332     # Conflict between --help and --header
333     { { echo "$as_me:$LINENO: error: ambiguous option: $1
334 Try \`$0 --help' for more information." >&5
335 echo "$as_me: error: ambiguous option: $1
336 Try \`$0 --help' for more information." >&2;}
337    { (exit 1); exit 1; }; };;
338   --help | --hel | -h )
339     echo "$ac_cs_usage"; exit 0 ;;
340   --debug | --d* | -d )
341     debug=: ;;
342   --file | --fil | --fi | --f )
343     $ac_shift
344     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
345     ac_need_defaults=false;;
346   --header | --heade | --head | --hea )
347     $ac_shift
348     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
349     ac_need_defaults=false;;
350   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
351   | -silent | --silent | --silen | --sile | --sil | --si | --s)
352     ac_cs_silent=: ;;
353
354   # This is an error.
355   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
356 Try \`$0 --help' for more information." >&5
357 echo "$as_me: error: unrecognized option: $1
358 Try \`$0 --help' for more information." >&2;}
359    { (exit 1); exit 1; }; } ;;
360
361   *) ac_config_targets="$ac_config_targets $1" ;;
362
363   esac
364   shift
365 done
366
367 ac_configure_extra_args=
368
369 if $ac_cs_silent; then
370   exec 6>/dev/null
371   ac_configure_extra_args="$ac_configure_extra_args --silent"
372 fi
373
374 if $ac_cs_recheck; then
375   echo "running /bin/sh ./configure " '--with-package-base=/p/paradyn/packages' $ac_configure_extra_args " --no-create --no-recursion" >&6
376   exec /bin/sh ./configure '--with-package-base=/p/paradyn/packages' $ac_configure_extra_args --no-create --no-recursion
377 fi
378
379 for ac_config_target in $ac_config_targets
380 do
381   case "$ac_config_target" in
382   # Handling of arguments.
383   "make.config.local" ) CONFIG_FILES="$CONFIG_FILES make.config.local:./autodyninst/make.config.local.in" ;;
384   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
385 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
386    { (exit 1); exit 1; }; };;
387   esac
388 done
389
390 # If the user did not use the arguments to specify the items to instantiate,
391 # then the envvar interface is used.  Set only those that are not.
392 # We use the long form for the default assignment because of an extremely
393 # bizarre bug on SunOS 4.1.3.
394 if $ac_need_defaults; then
395   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
396 fi
397
398 # Have a temporary directory for convenience.  Make it in the build tree
399 # simply because there is no reason to put it here, and in addition,
400 # creating and moving files from /tmp can sometimes cause problems.
401 # Create a temporary directory, and hook for its removal unless debugging.
402 $debug ||
403 {
404   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
405   trap '{ (exit 1); exit 1; }' 1 2 13 15
406 }
407
408 # Create a (secure) tmp directory for tmp files.
409
410 {
411   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
412   test -n "$tmp" && test -d "$tmp"
413 }  ||
414 {
415   tmp=./confstat$$-$RANDOM
416   (umask 077 && mkdir $tmp)
417 } ||
418 {
419    echo "$me: cannot create a temporary directory in ." >&2
420    { (exit 1); exit 1; }
421 }
422
423
424 #
425 # CONFIG_FILES section.
426 #
427
428 # No need to generate the scripts if there are no CONFIG_FILES.
429 # This happens for instance when ./config.status config.h
430 if test -n "$CONFIG_FILES"; then
431   # Protect against being on the right side of a sed subst in config.status.
432   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
433    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
434 s,@SHELL@,/bin/sh,;t t
435 s,@PATH_SEPARATOR@,:,;t t
436 s,@PACKAGE_NAME@,,;t t
437 s,@PACKAGE_TARNAME@,,;t t
438 s,@PACKAGE_VERSION@,,;t t
439 s,@PACKAGE_STRING@,,;t t
440 s,@PACKAGE_BUGREPORT@,,;t t
441 s,@exec_prefix@,${prefix},;t t
442 s,@prefix@,/usr/local,;t t
443 s,@program_transform_name@,s,x,x,,;t t
444 s,@bindir@,${exec_prefix}/bin,;t t
445 s,@sbindir@,${exec_prefix}/sbin,;t t
446 s,@libexecdir@,${exec_prefix}/libexec,;t t
447 s,@datadir@,${prefix}/share,;t t
448 s,@sysconfdir@,${prefix}/etc,;t t
449 s,@sharedstatedir@,${prefix}/com,;t t
450 s,@localstatedir@,${prefix}/var,;t t
451 s,@libdir@,${exec_prefix}/lib,;t t
452 s,@includedir@,${prefix}/include,;t t
453 s,@oldincludedir@,/usr/include,;t t
454 s,@infodir@,${prefix}/info,;t t
455 s,@mandir@,${prefix}/man,;t t
456 s,@build_alias@,,;t t
457 s,@host_alias@,,;t t
458 s,@target_alias@,,;t t
459 s,@DEFS@,-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -Dcap_have_=1 -DHAVE_LIBTCL8_4=1 -DHAVE_LIBELF=1 -DHAVE_LIBDWARF=1 -Dcap_have_libxml=1 -DHAVE_LIBXML2=1 -D1= ,;t t
460 s,@ECHO_C@,,;t t
461 s,@ECHO_N@,-n,;t t
462 s,@ECHO_T@,,;t t
463 s,@LIBS@,,;t t
464 s,@CXX@,g++,;t t
465 s,@CXXFLAGS@,-g -O2,;t t
466 s,@LDFLAGS@,,;t t
467 s,@CPPFLAGS@,,;t t
468 s,@ac_ct_CXX@,g++,;t t
469 s,@EXEEXT@,,;t t
470 s,@OBJEXT@,o,;t t
471 s,@_ICC_@,false,;t t
472 s,@_PGCC_@,/s/hpf/bin/pgcc,;t t
473 s,@_CC_@,/s/gcc-4.0.2/bin/cc,;t t
474 s,@USE_TCL83@,false,;t t
475 s,@TCLTK_INC_DIR@,/p/paradyn/packages/tcl8.4.5/include,;t t
476 s,@TCLTK_LIB_DIR@,/p/paradyn/packages/tcl8.4.5/lib,;t t
477 s,@build@,i686-pc-linux-gnu,;t t
478 s,@build_cpu@,i686,;t t
479 s,@build_vendor@,pc,;t t
480 s,@build_os@,linux-gnu,;t t
481 s,@host@,i686-pc-linux-gnu,;t t
482 s,@host_cpu@,i686,;t t
483 s,@host_vendor@,pc,;t t
484 s,@host_os@,linux-gnu,;t t
485 s,@LIBELF_INC_DIR@,/p/paradyn/packages/libelf/include,;t t
486 s,@LIBELF_LIB_DIR@,/p/paradyn/packages/libelf/lib,;t t
487 s,@LIBELF_STATIC@,true,;t t
488 s,@LIBELF_DYNAMIC@,true,;t t
489 s,@LIBDWARF_INC_DIR@,/p/paradyn/packages/libdwarf/include,;t t
490 s,@LIBDWARF_LIB_DIR@,/p/paradyn/packages/libdwarf/lib,;t t
491 s,@LIBDWARF_STATIC@,true,;t t
492 s,@LIBDWARF_DYNAMIC@,true,;t t
493 s,@LIBXML2_INC_DIR@,/p/paradyn/packages/libxml2/include/libxml2,;t t
494 s,@LIBXML2_LIB_DIR@,/p/paradyn/packages/libxml2/lib,;t t
495 s,@LIBIBERTY_INC_DIR@,/usr/include,;t t
496 s,@LIBIBERTY_LIB_DIR@,/usr/lib,;t t
497 s,@LIBUNWIND_INC_DIR@,/p/paradyn/packages/libunwind/include,;t t
498 s,@LIBUNWIND_LIB_DIR@,/p/paradyn/packages/libunwind/lib,;t t
499 s,@LIBFLEX_LIB_DIR@,/p/paradyn/packages/libflex/lib,;t t
500 s,@NASM@,/p/paradyn/packages/nasm/bin/nasm,;t t
501 s,@MMTIMER@,false,;t t
502 s,@LIBOBJS@,,;t t
503 s,@LTLIBOBJS@,,;t t
504 CEOF
505
506   # Split the substitutions into bite-sized pieces for seds with
507   # small command number limits, like on Digital OSF/1 and HP-UX.
508   ac_max_sed_lines=48
509   ac_sed_frag=1 # Number of current file.
510   ac_beg=1 # First line for current file.
511   ac_end=$ac_max_sed_lines # Line after last line for current file.
512   ac_more_lines=:
513   ac_sed_cmds=
514   while $ac_more_lines; do
515     if test $ac_beg -gt 1; then
516       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
517     else
518       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
519     fi
520     if test ! -s $tmp/subs.frag; then
521       ac_more_lines=false
522     else
523       # The purpose of the label and of the branching condition is to
524       # speed up the sed processing (if there are no `@' at all, there
525       # is no need to browse any of the substitutions).
526       # These are the two extra sed commands mentioned above.
527       (echo ':t
528   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
529       if test -z "$ac_sed_cmds"; then
530         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
531       else
532         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
533       fi
534       ac_sed_frag=`expr $ac_sed_frag + 1`
535       ac_beg=$ac_end
536       ac_end=`expr $ac_end + $ac_max_sed_lines`
537     fi
538   done
539   if test -z "$ac_sed_cmds"; then
540     ac_sed_cmds=cat
541   fi
542 fi # test -n "$CONFIG_FILES"
543
544 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
545   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
546   case $ac_file in
547   - | *:- | *:-:* ) # input from stdin
548         cat >$tmp/stdin
549         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
550         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
551   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
552         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
553   * )   ac_file_in=$ac_file.in ;;
554   esac
555
556   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
557   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
558 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
559          X"$ac_file" : 'X\(//\)[^/]' \| \
560          X"$ac_file" : 'X\(//\)$' \| \
561          X"$ac_file" : 'X\(/\)' \| \
562          .     : '\(.\)' 2>/dev/null ||
563 echo X"$ac_file" |
564     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
565           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
566           /^X\(\/\/\)$/{ s//\1/; q; }
567           /^X\(\/\).*/{ s//\1/; q; }
568           s/.*/./; q'`
569   { if $as_mkdir_p; then
570     mkdir -p "$ac_dir"
571   else
572     as_dir="$ac_dir"
573     as_dirs=
574     while test ! -d "$as_dir"; do
575       as_dirs="$as_dir $as_dirs"
576       as_dir=`(dirname "$as_dir") 2>/dev/null ||
577 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
578          X"$as_dir" : 'X\(//\)[^/]' \| \
579          X"$as_dir" : 'X\(//\)$' \| \
580          X"$as_dir" : 'X\(/\)' \| \
581          .     : '\(.\)' 2>/dev/null ||
582 echo X"$as_dir" |
583     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
584           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
585           /^X\(\/\/\)$/{ s//\1/; q; }
586           /^X\(\/\).*/{ s//\1/; q; }
587           s/.*/./; q'`
588     done
589     test ! -n "$as_dirs" || mkdir $as_dirs
590   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
591 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
592    { (exit 1); exit 1; }; }; }
593
594   ac_builddir=.
595
596 if test "$ac_dir" != .; then
597   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
598   # A "../" for each directory in $ac_dir_suffix.
599   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
600 else
601   ac_dir_suffix= ac_top_builddir=
602 fi
603
604 case $srcdir in
605   .)  # No --srcdir option.  We are building in place.
606     ac_srcdir=.
607     if test -z "$ac_top_builddir"; then
608        ac_top_srcdir=.
609     else
610        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
611     fi ;;
612   [\\/]* | ?:[\\/]* )  # Absolute path.
613     ac_srcdir=$srcdir$ac_dir_suffix;
614     ac_top_srcdir=$srcdir ;;
615   *) # Relative path.
616     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
617     ac_top_srcdir=$ac_top_builddir$srcdir ;;
618 esac
619
620 # Do not use `cd foo && pwd` to compute absolute paths, because
621 # the directories may not exist.
622 case `pwd` in
623 .) ac_abs_builddir="$ac_dir";;
624 *)
625   case "$ac_dir" in
626   .) ac_abs_builddir=`pwd`;;
627   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
628   *) ac_abs_builddir=`pwd`/"$ac_dir";;
629   esac;;
630 esac
631 case $ac_abs_builddir in
632 .) ac_abs_top_builddir=${ac_top_builddir}.;;
633 *)
634   case ${ac_top_builddir}. in
635   .) ac_abs_top_builddir=$ac_abs_builddir;;
636   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
637   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
638   esac;;
639 esac
640 case $ac_abs_builddir in
641 .) ac_abs_srcdir=$ac_srcdir;;
642 *)
643   case $ac_srcdir in
644   .) ac_abs_srcdir=$ac_abs_builddir;;
645   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
646   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
647   esac;;
648 esac
649 case $ac_abs_builddir in
650 .) ac_abs_top_srcdir=$ac_top_srcdir;;
651 *)
652   case $ac_top_srcdir in
653   .) ac_abs_top_srcdir=$ac_abs_builddir;;
654   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
655   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
656   esac;;
657 esac
658
659
660
661   if test x"$ac_file" != x-; then
662     { echo "$as_me:$LINENO: creating $ac_file" >&5
663 echo "$as_me: creating $ac_file" >&6;}
664     rm -f "$ac_file"
665   fi
666   # Let's still pretend it is `configure' which instantiates (i.e., don't
667   # use $as_me), people would be surprised to read:
668   #    /* config.h.  Generated by config.status.  */
669   if test x"$ac_file" = x-; then
670     configure_input=
671   else
672     configure_input="$ac_file.  "
673   fi
674   configure_input=$configure_input"Generated from `echo $ac_file_in |
675                                      sed 's,.*/,,'` by configure."
676
677   # First look for the input files in the build tree, otherwise in the
678   # src tree.
679   ac_file_inputs=`IFS=:
680     for f in $ac_file_in; do
681       case $f in
682       -) echo $tmp/stdin ;;
683       [\\/$]*)
684          # Absolute (can't be DOS-style, as IFS=:)
685          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
686 echo "$as_me: error: cannot find input file: $f" >&2;}
687    { (exit 1); exit 1; }; }
688          echo "$f";;
689       *) # Relative
690          if test -f "$f"; then
691            # Build tree
692            echo "$f"
693          elif test -f "$srcdir/$f"; then
694            # Source tree
695            echo "$srcdir/$f"
696          else
697            # /dev/null tree
698            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
699 echo "$as_me: error: cannot find input file: $f" >&2;}
700    { (exit 1); exit 1; }; }
701          fi;;
702       esac
703     done` || { (exit 1); exit 1; }
704   sed "
705
706 :t
707 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
708 s,@configure_input@,$configure_input,;t t
709 s,@srcdir@,$ac_srcdir,;t t
710 s,@abs_srcdir@,$ac_abs_srcdir,;t t
711 s,@top_srcdir@,$ac_top_srcdir,;t t
712 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
713 s,@builddir@,$ac_builddir,;t t
714 s,@abs_builddir@,$ac_abs_builddir,;t t
715 s,@top_builddir@,$ac_top_builddir,;t t
716 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
717 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
718   rm -f $tmp/stdin
719   if test x"$ac_file" != x-; then
720     mv $tmp/out $ac_file
721   else
722     cat $tmp/out
723     rm -f $tmp/out
724   fi
725
726 done
727
728 { (exit 0); exit 0; }